# Class RWSController

#### Hierarchy (view full)

- RWSService
  - RWSController

- Defined in src/controllers/_controller.ts:28

#####
Index

### Constructors

constructor

### Properties

_RELOADABLE
_hasError
_instances

### Methods

callMethod
flagError
getReloadable
hasError
reloadService
getSingleton

## Constructors

### constructor

- new RWSController(): RWSController

- #### Returns RWSController

  Overrides RWSService.constructor

  - Defined in src/controllers/_controller.ts:31

## Properties

### _RELOADABLE

_RELOADABLE: boolean = false

Inherited from RWSService._RELOADABLE

- Defined in src/services/_service.ts:2

### `Private` _hasError

_hasError: boolean

- Defined in src/controllers/_controller.ts:29

### `Static` `Protected` _instances

_instances: {
[key: string]: RWSService;
} = {}

#### Type declaration

- ##### [key: string]: RWSService

Inherited from RWSService._instances

- Defined in src/services/_service.ts:7

## Methods

### callMethod

- callMethod(methodName): ((params) => any)

- #### Parameters

  - ##### methodName: string

  #### Returns ((params) => any)

  - - (params): any

    - #### Parameters

      - ##### params: IRequestParams

      #### Returns any

  - Defined in src/controllers/_controller.ts:35

### flagError

- flagError(): void

- #### Returns void

  - Defined in src/controllers/_controller.ts:59

### getReloadable

- getReloadable(): string

- #### Returns string

  Inherited from RWSService.getReloadable

  - Defined in src/services/_service.ts:19

### hasError

- hasError(): boolean

- #### Returns boolean

  - Defined in src/controllers/_controller.ts:53

### reloadService

- reloadService<T>(this, ...params): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  - ##### `Rest` ...params: any[]

  #### Returns InstanceType<T>

  Inherited from RWSService.reloadService

  - Defined in src/services/_service.ts:23

### `Static` getSingleton

- getSingleton<T>(this): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  #### Returns InstanceType<T>

  Inherited from RWSService.getSingleton

  - Defined in src/services/_service.ts:9

Generated using TypeDoc